List Public Keys
Lists all public keys of a target. The response includes which key is active and the key's expiration dates. This allows you to manage key rotations and ensure that your target always has an active key for payload encryption.
Required permission:
action.target.read
Path Parameters
TargetID is the unique identifier of the target to list the public keys for.
Request Body
application/json
List limitations and ordering.
The field the result is sorted by. The default is the creation date. Beware that if you change this, your result pagination might be inconsistent.
"PUBLIC_KEY_FIELD_NAME_UNSPECIFIED" | "PUBLIC_KEY_FIELD_NAME_CREATION_DATE" | "PUBLIC_KEY_FIELD_NAME_CHANGE_DATE" | "PUBLIC_KEY_FIELD_NAME_EXPIRATION_DATE"Define the criteria to query for.
Response Body
application/json
curl -X POST "https://loading/v2/actions/targets/string/publickeys/search" \ -H "Content-Type: application/json" \ -d '{}'{
"pagination": {
"totalResult": 0,
"appliedLimit": 0
},
"publicKeys": [
{
"keyId": "string",
"active": true,
"publicKey": "string",
"fingerprint": "string",
"expirationDate": "2023-01-15T01:30:15.01Z",
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z"
}
]
}Was this page helpful?
List Executions
List Executions: List all matching executions. By default all executions of the instance are returned that have at least one execution target. Make sure to include a limit and sorting for pagination. Required permi...
List targets
List targets: List all matching targets. By default all targets of the instance are returned. Make sure to include a limit and sorting for pagination. Required permission: